## microb-eal 0.1.7-1

=== debian/changelog ===
microb-eal (0.1.7-1) unstable; urgency=low

  * Bug Fixes: 57903,61830
  * Added preinst check, to disable installing on Tablet 2006 edition
  * Changed the logo, to be improved still
  * Disabled copy option in password fields
  * Fixed installation of default home page images problem

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 15 Jul 2007 15:35:55 +0300

microb-eal (0.1.6-1) unstable; urgency=low

  * Fixed deblayout path
  * Fixed build bustage
  * Fixed some problems with FKB activation
  * Fixed bugs with tab keys, single lines, multilines..Showed passwords, ....
  * Fixed bug 57346: VKB is still visible after pressing "Enter" button
  * Fixed most of problems with Rich Controls iteractions, IM context...
  * Added Maemo Browser logo, changed page title
  * Updated the Maemo Browser launch page, removed the info page

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat,  7 Jul 2007 23:48:15 +0300

microb-eal (0.1.5-1.1) unstable; urgency=low

  * Bug Fixes: 62049
  * Fixed unfinished connecting state

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  4 Jul 2007 15:30:35 +0300

microb-eal (0.1.4-1.1) unstable; urgency=low

  * Bug Fixes: 58901

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  1 Jul 2007 18:38:51 +0300

microb-eal (0.1.3-1.1) unstable; urgency=low

  * Removed all printfs from non debug build
  * Removed wrong slash from home page path
  * Fixed install path for home page
  * Changed home page to localhost uri
  * Disabled keyboard handling on all Form elements
  * Setup true zoom mode (fix FitToView? + Zoom bugs)
  * Fixed broken proxy if nothing exported
  * Fixed some memory leaks and compiler warnings
  * Fixed for building on normal x86 PC
  * Fixed some problems with image loading. New gtk_moz_embed API called in  ....

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Jun 2007 21:30:09 +0300

microb-eal (0.1.2-1.1) unstable; urgency=low

  * Bug Fixes: 54081,57031
  * Fixed backup files listing
  * Added Flash 9 info
  * Add some marketing text
  * Fixed broken path
  * add new microb homepage
  * Enabled Extension manager

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 15 Jun 2007 16:08:19 +0300

microb-eal (0.1.0-1.0) unstable; urgency=low

  * Added New Beta Home page 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 12 Jun 2007 13:55:25 +0300

microb-eal (0.0.29-1.1) unstable; urgency=low

  * Bug Fixes: 48621,54465
  * Added extension manager functionality
  * Enabling native widget theming

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  8 Jun 2007 17:30:46 +0300

microb-eal (0.0.28-1.1) unstable; urgency=low

   * Fixed clean rules

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  3 Jun 2007 18:23:15 +0300

microb-eal (0.0.27-1.1) unstable; urgency=low

  * Bug Fixes: 50651,50948
  * Fix to open thumb vkb properly
  * Added pref to control jsfocus

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  3 Jun 2007 14:38:13 +0300

microb-eal (0.0.26-1.1) unstable; urgency=low

  * Fixed building for many arch's from the same sources
  * Fixed possible crash in vkb retrieve surrounding function

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 28 May 2007 19:23:52 +0300

microb-eal (0.0.25-1.1) unstable; urgency=low

  * Bug Fixes: 54081

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 27 May 2007 11:35:35 +0300

microb-eal (0.0.24-1.1) unstable; urgency=low

  * Added function to update FTV
  * Added microb-l10n package dependency
  * Bug Fixes:  57912,55337

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 25 May 2007 09:54:21 +0300

microb-eal (0.0.23-1.1) unstable; urgency=low

  * Bug Fixes: 50589,55350,55796,55350

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 20 May 2007 18:23:11 +0300

microb-eal (0.0.22-1.0) unstable; urgency=low

  * Clean preedit string after change cursor position: Thumb supporting

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 16 May 2007 14:51:48 +0300

microb-eal (0.0.21-1.1) unstable; urgency=low

  * Fixes 50589,55350

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 15 May 2007 18:54:27 +0300

microb-eal (0.0.20-1.1) unstable; urgency=low

  * Bug Fixes: 55526
  * Added progress preference setup

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 15 May 2007 12:57:04 +0300

microb-eal (0.0.19-1.1) unstable; urgency=low

  * Bug Fixes: 56837

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 May 2007 13:18:19 +0300

microb-eal (0.0.18-1.1) unstable; urgency=low

  * Bug Fixes: 54076,55387,55897
  * Added libconic0-dev dependency.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 13 May 2007 20:09:51 +0300

microb-eal (0.0.17-1.1) unstable; urgency=low

  * Removed enabling autocapitalization, some fixes for surrounding of VKB
  * Thumb vkb supporting stuff

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 11 May 2007 11:46:50 +0300

microb-eal (0.0.16-1.0) unstable; urgency=low

  * Bug Fixes: 56089
  * Disabled Extensions setup while it not tested
  * Fixed typo bug with LOADING_PROGRESS signal
  * Added some controling stuff for progress bar

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  8 May 2007 20:31:58 +0300

microb-eal (0.0.15-1.0) unstable; urgency=low

  * Added set extension mode setup in prope place
  * Reverted back permanent ALL_EXTENSIONS setup, affected to panning perf
  * Disabled get window child here some panning problems
  * Bug Fixes: 55679, 54952

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  6 May 2007 20:11:52 +0300

microb-eal (0.0.14-1.0) unstable; urgency=low

  * Bug Fixes: 55425,,53519

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  2 May 2007 08:49:44 +0300

microb-eal (0.0.13-1.0) unstable; urgency=low

  * Bug Fixes: 52046

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 29 Apr 2007 21:12:22 +0300

microb-eal (0.0.12-1.0) unstable; urgency=low

  * Bug Fixes: 54019,50743,52563,54649

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 27 Apr 2007 23:30:38 +0300

microb-eal (0.0.11-1.0) unstable; urgency=low

  * Bug Fixes: 55064

