## microb-eal 0.1.7-2

=== debian/changelog ===
microb-eal (0.1.7-2) unstable; urgency=low

  * Release version

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 17 Jul 2007 14:54:49 +0300
