## microb-eal 0.1.11-1

=== debian/changelog ===
microb-eal (0.1.11-1) unstable; urgency=low

  * Changed section name(user/libs to libs) in Debian control file.
  * fixed crash on desktop build: 
  * fixed bug 54956 (Progress banner stays in Connecting mode after
    submitting Information note ?\226?\128?\156Unable to open. 
    Address type not supported.?\226?\128?\157 (URI-NOT001)) in
    microb/eal/gmozillaengine.c.
  * Added compat with microb ~ mozilla depends
  * Hildon finger include not available in hildon2006 environment
  *

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  7 Aug 2007 12:37:45 +0300

microb-eal (0.1.10-1) unstable; urgency=low

  * checking in jari's patch on localhost access from microb. Bug 64433
    (microb-eal requires an Internet connection for accessing localhost).
  * File upload start/finished implemented -> - microb-eal part

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  3 Aug 2007 17:31:22 +0300

microb-eal (0.1.9-1) unstable; urgency=low

  * Fixed bug:Connecting bar comes in and stays when connection changes. Fixes: NB#57879

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 27 Jul 2007 17:43:49 +0300

microb-eal (0.1.8-1) unstable; urgency=low

  * Browser shows Connecting status when WLAN connection is
    initiated. Fixes: NB#61454
  * Updated logo. 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 20 Jul 2007 20:42:03 +0300
