## microb-eal 0.1.12-1

=== debian/changelog ===
microb-eal (0.1.12-1) unstable; urgency=low

  * Fixed bug: pressing any key will trigger vkb if at keyup the focus is a
    text input 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu,  9 Aug 2007 11:01:30 +0300
