## microb-eal 0.1.22-2

=== debian/changelog ===
microb-eal (0.1.22-2) unstable; urgency=low

  * Proper fix for bug#63870:Focus stays in location bar after page is loaded. 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 10 Oct 2007 18:24:02 +0300

microb-eal (0.1.22-1) unstable; urgency=low

  * Fixed bug:Focus stays in location bar after page is loaded. 
    Fixes: NB#63870
  * Added SELECT functionality. Fixes: NB#72257

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  7 Oct 2007 19:16:37 +0300

microb-eal (0.1.21-1) unstable; urgency=low

  * Fixed bug:Unable to select the text in the text area of the web
    page. Fixes: NB#70512
  * Fixed bug:It is impossible to activate thumb keyboard for editing TEXTAREA
    element. Fixes: NB#71655

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  2 Oct 2007 17:59:04 +0300

microb-eal (0.1.20-1) unstable; urgency=low

  * Fixed building for HILDON2006
  * Fixed double handling of VKB on mouse_up event
  * Fixed bug:Unable to open a locally stored web page containing requests to
    receive some data from web server without network connection. Fixes: NB#50591
  * Fixed some glib criticals
  * Fixed bug:VKB doesn't open when composing mail with www.hotmail.com.
    Fixes: NB#69484
  * Fixed bug:Autoscroll is not working when VKB is invoked. Fixes: NB#70678
  * Fixed bug:Pressing enter is closing FKB with www.hotmail.com site. 
    Fixes: NB#69462
  * Added debug info for MicroB eal download request
  * Return back low memory notification

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 30 Sep 2007 14:54:51 +0300

microb-eal (0.1.19-1) unstable; urgency=low

  * Fixed bug:VKB is invoked in capslock mode on tapping the multiline text
    area. Fixes: NB#70551
  * Fixes for disabling of mult cursor reading from file
  * Fixed reported performance team problem with multiple reading cursor from file
  * Proper disable for extension mode (typo bug)
  * Disabled Extension mode on design document
  * Fixed cleaning of global download object after finish downloading

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Sep 2007 21:29:40 +0300

microb-eal (0.1.18-1) unstable; urgency=low

  * Fixed bug:frame details dialog shows frameset size nor frame size. 
    Fixes: NB#51632
  * Negative page size workarrounds
  * Fixed small problem with negative progress value
  * Fixed some problems with page size info
  * Fixed bug:VKB is invoked in lowercase mode in multiline text area of the
    web page when the autocapitalization is on. Fixes: NB#54227
  * Fixed bug:Pop-up window blocked message is not shown. Fixes: NB#59254
  * Added new dom_popup_blocked signal
  * Fixed bug:Address is kept about:blank after save connection. 
    Fixes: NB#66053
  * Disabled fit to view by default
  * Improved optimized view functionality
  * Partial fix for bug 68925
  * Fit width to view option doesn't work correctly
  * Fixed bug:Zoom level not preserved. Fixes: NB#69384
  * Fixed memory managment handling in microb
  * Fix for emiting rss signal after finish loading
  * Fixed bug:uri_link_error_invalid_protocol isnot shown in most variants.
    Fixes: NB#65361
  * Fixed bug:Unable to open a locally stored web page containing requests to
    receive some data from web server without network connection. Fixes: NB#50591
  * Fixed bug:Components are not visible after removing battery. Fixes: NB#68414
  * Fixed bug:Page loaded in a wrong browser window. Fixes: NB#61763
  * Fixed bug:onMouseMove event is executed without stylus move.. Fixes: NB#66649
  * Fixed bug:try to create a link to a blog post, after ok dialog CSM menu
    start animation stays on screen. Fixes: NB#68237

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 15 Sep 2007 20:07:54 +0300

microb-eal (0.1.17-1) unstable; urgency=low

  * Fixed crash when starting eal without system DBUS
  * Fixed bug:save as function does not work correct from This frame submenu.
    Fixes: NB#53497
  * Fixed undefined symbol.
  * Fixed development eal library.
  * Fixed bug:Infinite connecting state using mailto: format. Fixes: NB#67414

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  9 Sep 2007 17:14:30 +0300

microb-eal (0.1.16-1) unstable; urgency=low

  * Fixed some memory leaks related to bug 66824: Use of already freed 
    memory and Glib CRITICALs when opening and closing browser windows.
  * Fixed bug:Image size is not optimised to the size of browser window.
    Fixes: NB#65544
  * Fixed crash on closing when there are no plugins in folder
  * Added trace log for plugins functionality

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 31 Aug 2007 20:15:20 +0300

microb-eal (0.1.15-2) unstable; urgency=low

  * Fixed bug:Address field contains full file name instead of short
    one. Fixes: NB#67048

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 29 Aug 2007 14:57:59 +0300

microb-eal (0.1.15-1) unstable; urgency=low

  * Fixed bug:microb-eal-dev should depend on microb-eal.Fixes: MB#1880
  * Fixed possibility to disable spatial navigation

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 26 Aug 2007 16:03:16 +0300

microb-eal (0.1.14-1) unstable; urgency=low

  * Fixed bug:MicroB : on mouse move error. Fixes: NB#35989
  * Fixed bug:It is not possible to insert focus though HW keys if there is no
    INPUT form in the page. Fixes: NB#62291

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 17 Aug 2007 19:09:13 +0300

microb-eal (0.1.13-2) unstable; urgency=low

  * Removed not used variable
  * Fixed eal version

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 13 Aug 2007 09:32:36 +0300

microb-eal (0.1.13-1) unstable; urgency=low

  * Fixed installation on N770 OS
  * Updated for using different plugins folder
  * Fixed warnings for OS2006 environment
  * Updated ifdef for os2006 environment
  * Added ifdef for building in gregale environment
  * Added check for OS2006 and OS2007 EAL library
  * Adde compat with OS2006 environment

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 12 Aug 2007 20:04:16 +0300
