=== debian/control ===
Source: microb-eal
Section: libs
Priority: optional
Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
Build-Depends: debhelper (>= 4.0.0), browser-eal-dev (>= 0.0.1) | maemo-browser-eal-dev (>= 1.5.0), microb-engine-dev (>= 0.0.1-1), libgtk2.0-dev, osso-ic-dev, libhildon1-dev | hildon-libs-dev, libosso-gnomevfs2-dev, libssl-dev, libgtkmozembed-dev, libconic0-dev | osso-ic-dev, libdbus-1-dev | dbus-1-dev, libdbus-glib-1-dev | dbus-glib-1-dev, libcst-dev
Standards-Version: 3.6.0

Package: microb-eal-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, microb-eal (= ${Source-Version})
Description: MicroB Web Engine.

Package: microb-eal-dbg
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, microb-eal (= ${Source-Version})
Description: MicroB Web Engine.

Package: microb-eal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, microb-l10n
Description: MicroB Web Engine.
