## microb-eal 0.2.1-1

=== debian/changelog ===
microb-eal (0.2.1-1) unstable; urgency=low

  * Fixed bug#After alert dialog CSM menu start animation stays on screen.
    Fixes: NB#68237

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 22 Nov 2007 14:29:17 +0200

microb-eal (0.2.0-1) unstable; urgency=low

  * Fixed coverity findings. Fixes: NB#74165
  * Fixed bug:Google spreadsheet can't add content with VKB. Fixes: NB#73672

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 12 Nov 2007 11:10:44 +0200

microb-eal (0.1.23-1) unstable; urgency=low

  * Disabled layout.full.true.zoom.mode

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  9 Oct 2007 16:40:00 +0300
