## microb-eal 0.3.7-1.15

=== debian/changelog ===
microb-eal (0.3.7-1.15) unstable; urgency=low

  * Fixes: NB#83175 Single tap launches CSM in browser 

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 27 May 2008 15:33:59 +0300

microb-eal (0.3.7-1.14) unstable; urgency=low

  * Fixes: NB#83175 Single tap launches CSM in browser 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 23 May 2008 19:13:23 +0300

microb-eal (0.3.7-1.13) unstable; urgency=low

  * Fixes: NB#83423 Web page context menu opens on top of the FKB 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 23 May 2008 18:10:45 +0300

microb-eal (0.3.7-1.12) unstable; urgency=low

  * Fixes: NB#85021 when text input is autofocused pressing backspace key
    causes that browser goes back to previous page 

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 19 May 2008 13:30:21 +0300

microb-eal (0.3.7-1.11) unstable; urgency=low

  * Fixes: NB#85457 CSM zooming and toolbar zoom option do not interact
    properly

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 14 May 2008 17:07:46 +0300

microb-eal (0.3.7-1.10) unstable; urgency=low

  * Fixes: NB#78945 [SNAV] spatial navigation works incorrect in google docs.
    Added user_pref "snav.block".  

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 13 May 2008 11:27:07 +0300

microb-eal (0.3.7-1.9) unstable; urgency=low

  * Fixes: NB#85048 Changes in about:config are not saved 

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 13 May 2008 11:14:54 +0300

microb-eal (0.3.7-1.8) unstable; urgency=low

  * Fixes: NB#85045 Not able to enter text to the browser window text
    fields with virtual keyboard when old text is highlighted 

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 13 May 2008 11:06:12 +0300

microb-eal (0.3.7-1.7) unstable; urgency=low

  * Fixes: NB#84274 keyboard shortcuts are not working when page content
    focused 

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 30 Apr 2008 19:37:03 +0300

microb-eal (0.3.7-1.6) unstable; urgency=low

  * Fixes: NB#84763 It is imposible to type in the Find toolbar 

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 28 Apr 2008 18:34:55 +0300

microb-eal (0.3.7-1.5) unstable; urgency=low

  * Fixes: NB#84916 Text input through VKB or HWR not working in Browser web
    pages 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 25 Apr 2008 10:40:23 +0300

microb-eal (0.3.7-1.4) unstable; urgency=low

  * Fixes NB:84478 Feature upgrade meta package broken after updation


 -- Oleg Romashin <romaxa@gmail.com>  Mon, 21 Apr 2008 10:45:57 +0300

microb-eal (0.3.7-1.3) unstable; urgency=low

  * Fixes: NB#84152 Virtual keyboard is not displayed when tapping search
    field in www.fi site

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 18 Apr 2008 17:21:32 +0300

microb-eal (0.3.7-1.2) unstable; urgency=low

  * Fixes: NB#78162 Keyboard shortcuts don't work properly in Google Reader 

 -- Oleg Romashin <romaxa@gmail.com>  Thu, 17 Apr 2008 10:13:29 +0300

microb-eal (0.3.7-1.1) unstable; urgency=low

  * Fixes: NB#84321 Virtual keyboard is not activated when user taps on
    any text input field on browser window

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 16 Apr 2008 18:40:02 +0300

microb-eal (0.3.7-1) unstable; urgency=low

  * Fixes: NB#81508 Broken certman dependecy

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 14 Apr 2008 13:21:33 +0300

microb-eal (0.3.6-4) unstable; urgency=low

  * Updated build dependencies.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 Apr 2008 10:46:08 +0300

microb-eal (0.3.6-3) unstable; urgency=low

  * Fixes: NB#83371 Toolbar shortcut is available for components that require
    browser restart. 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 11 Apr 2008 18:22:45 +0300

microb-eal (0.3.6-2) unstable; urgency=low

  * Fixes: NB#83352 browser crashes when closing new opened window

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 10 Apr 2008 11:14:32 +0300

microb-eal (0.3.6-1) unstable; urgency=low

  * Fixes: NB#83950 Default home page is displayed instead of user defined
    home page after opening browser
  * 0i

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 10 Apr 2008 11:14:30 +0300

microb-eal (0.3.5-2) unstable; urgency=low

  * Fixing microb-eal to properly use connectivity APIs 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  9 Apr 2008 19:54:59 +0300

microb-eal (0.3.5-1) unstable; urgency=low

  * Update for connectivity stuff 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  8 Apr 2008 11:13:29 +0300

microb-eal (0.3.4-2) unstable; urgency=low

  * Fixes: NB#83216 Uninstall option is available for System Installed
    components

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 07 Apr 2008 18:35:55 +0300

microb-eal (0.3.4-1) unstable; urgency=low

  * Fixes: NB#78162 Keyboard events blocked by microb-eal, and prevent Js	handling

 -- Oleg Romashin <romaxa@gmail.com>  Mon,  7 Apr 2008 14:37:48 +0300

microb-eal (0.3.3-3) unstable; urgency=low

  * Fixed GLIB criticals on key events

 -- Oleg Romashin <romaxa@gmail.com>  Mon,  7 Apr 2008 13:56:36 +0300

microb-eal (0.3.3-2) unstable; urgency=low

  * Fixes: NB#78045 Expanding of drop down list element works incorrect
    when hint bar on the bottom of the screen is shown.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  1 Apr 2008 12:03:41 +0300

microb-eal (0.3.3-1) unstable; urgency=low

  * Fixes: NB#83250 Too many loading-progres signals

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 31 Mar 2008 17:14:22 +0300

microb-eal (0.3.2-6) unstable; urgency=low

  * Fixes: NB#80406 Connecting bar is displayed on browser window eventhough
    event has been cancelled

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Wed, 26 Mar 2008 10:34:26 -0400

microb-eal (0.3.2-5) unstable; urgency=low

  * Fixes: NB#79425 Issues with concurrent building

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 25 Mar 2008 19:23:49 +0200

microb-eal (0.3.2-4) unstable; urgency=low

  * Fixes: NB#82631 zooming on start page works only once 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 20 Mar 2008 10:06:40 +0200


