## microb-eal 0.3.7-1.18

=== debian/changelog ===
microb-eal (0.3.7-1.18) unstable; urgency=low

  * Fixed: NB#87644 CSM appears in browser text entry field 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 27 Aug 2008 17:50:24 +0300

microb-eal (0.3.7-1.17) unstable; urgency=low

  * Fixes: NB#87635 Start Browser: Operation disabled due to low memory 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 20 Aug 2008 10:21:48 +0300

microb-eal (0.3.7-1.16) unstable; urgency=low

  * Fixes: NB#86382 Deleting Browser History after advancing the date of the
    device, causes the device to hang. 

 -- Josh Soref <josh.soref@nokia.com>  Wed, 11 Jun 2008 21:13:41 +0300
