## microb-eal 0.3.7-1.21

=== debian/changelog ===
microb-eal (0.3.7-1.21) unstable; urgency=low

  * Fixes: NB#87734 Browser crashes when changing account password on bugs.maemo.org

 -- Ben <ben@koku.research.nokia.com>  Thu, 18 Sep 2008 13:17:39 +0300

microb-eal (0.3.7-1.20) unstable; urgency=low

  * Rollback to 0.3.7-1.18.

 -- Ben <ben@koku.research.nokia.com>  Wed, 03 Sep 2008 17:48:22 +0300

microb-eal (0.3.7-1.19) unstable; urgency=low

  * Fixes: NB#87734 Browser crashes when changing account password on bugs.maemo.org

 -- Ben <ben@koku.research.nokia.com>  Wed, 03 Sep 2008 15:15:09 +0300
