=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 PKGVERSION      := $(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2)
+PKGNAME         := $(shell dpkg-parsechangelog | grep ^Source:.* | cut -d ' ' -f 2)
 
 configopts += $(ADD_OPTIONS)
 optimize_add =
@@ -32,7 +33,7 @@
 	sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
 ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
 	PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
-	then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
+	then echo `cat /proc/cpuinfo | grep '^processor.*:' | wc -l`; \
 	else echo 1; fi)
 endif
 NJOBS:=-j$(PARALLEL_JOBS)
@@ -100,7 +101,6 @@
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	optimize_add += -mthumb
 endif
-optimize_add += -march=armv5t
 endif
 
 ifeq ($(logging),y)
@@ -153,18 +153,18 @@
 endif
 endif
 
-ifeq ($(GCCENV),.cs)
-	CFLAGS += -fno-unit-at-a-time
-	CXXFLAGS += -fno-unit-at-a-time
-endif
-
 objdebdir:=obj-$(DEB_BUILD_GNU_TYPE)
 
 $(objdebdir)/config.status:                                                                                                                                        
 	dh_testdir                                                                                                                                                     
-	./autogen.sh --prefix=/usr                                                                                                                                     
+	./autogen.sh --prefix=/usr
+
+	for f in `find debian/ -name "[^c]*.in"`; do \
+        	sed -e "s/@PACKAGEVERSION@/${PKGVERSION}/g" -e "s/@PACKAGENAME@/${PKGNAME}/g"  $$f > `echo $$f | sed -e "s/\.in//"`; \
+        done
+	
 	mkdir -p $(objdebdir)                                                                                                                                          
-	cd $(objdebdir) && CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(configopts)
+	cd $(objdebdir) && CUSTOM_VERSION="$(PKGVERSION)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(configopts)
 
 build: build-stamp
 build-stamp: $(objdebdir)/config.status
