## microb-eal 2.4.6.12-2+0m5

=== debian/changelog ===
microb-eal (2.4.6.12-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Mon, 21 Sep 2009 14:06:52 +0300

microb-eal (2.4.6.12-2) unstable; urgency=low

  * Updated changelog

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Sun, 20 Sep 2009 20:15:25 +0300

microb-eal (2.4.6.12-1) unstable; urgency=low

  * Fixes: NB#139789 - Fn key wont work in Facebook Status Update Field

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Sun, 20 Sep 2009 13:40:15 +0300

microb-eal (2.4.6.9-1) unstable; urgency=low

  * Fixes: NB#139087 It's impossible to update status message on Facebook page

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 16 Sep 2009 17:47:09 +0300

microb-eal (2.4.6.8-1) unstable; urgency=low

  * (From 2.5.2-3) Fixes: NB#110380 Load image option from csm is not working

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 01 Sep 2009 10:10:21 +0300

microb-eal (2.4.6.7-1) unstable; urgency=low

  * Fixes: NB#137207 browser segfaults when syncing with Xmarks

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 Sep 2009 08:30:32 +0300

microb-eal (2.4.6.6-1) unstable; urgency=low

  * (From 2.5.9-1) Fixes: NB#138557 Engine crashes on exit, webbus not destroyed,
    quit-application interaction with UI  

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Sat, 12 Sep 2009 07:50:51 +0300

microb-eal (2.4.6.5-1) unstable; urgency=low

  * (From 2.5.4-1) Fixes: NB#137044 Memory leak in browserd with repeated
    webpage with forms reloading.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed,  9 Sep 2009 18:03:46 +0300

microb-eal (2.4.6.4-2) unstable; urgency=low

  * Backed out changeset 3101eed10c5b 
  * Backed out changeset 3849bdec2323

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  7 Sep 2009 18:41:36 +0300

microb-eal (2.4.6.4-1) unstable; urgency=low

  * (From 2.5.3-1) Fixes: NB#136547 Typing numbers into the web fields is
    inconsistent

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 02 Sep 2009 15:39:12 +0300

microb-eal (2.4.6.2-1) unstable; urgency=low

  * (From 2.4.9-1) Fixes: NB#135502 White rectangle over youtube movies
  * (From 2.4.7-3) Fixes: NB#134191 Facebook - can't enter email address
    when composing mail

 -- Egor Starkov <egor.starkov@nokia.com>  Tue, 25 Aug 2009 13:17:11 +0300

microb-eal (2.4.6.1-2) unstable; urgency=low

  * Updated changelog

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 25 Aug 2009 20:40:10 +0300

microb-eal (2.4.6.1-1) unstable; urgency=low

  * (Import b262dec85eb5 2.4.8-1) Fixes: NB#134852 Link highlight should
    be visible on page for longer time after stylus tap

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 25 Aug 2009 18:23:08 +0300

microb-eal (2.4.6-1) unstable; urgency=low

  * Fixes: NB#114285 Nonreproducible browser crash - nsRuleNode::ComputeBackgroundData from

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Aug 2009 17:40:18 +0300

microb-eal (2.4.5-2) unstable; urgency=low

  * Fixes NB#131774 Detection of dead engine

 -- Andrey Petrov <andrey.petrov@nokia.com>  Sun, 23 Aug 2009 12:37:50 +0300

microb-eal (2.4.5-1) unstable; urgency=low

  * Fixes: NB#132077 Not reproducible browser crash - nsQueryInterfaceWithError::operator()

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Aug 2009 10:52:08 +0300

microb-eal (2.4.4-1) unstable; urgency=low

  * Fixed NB#132170 Elements fixed possible infinite loop, and reduced
    divisions count

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 22 Aug 2009 17:33:56 +0300

microb-eal (2.4.3-2) unstable; urgency=low

  * Fixes for 132170 Elements look-up around point, fixed news.google "Top Stories" links

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 22 Aug 2009 17:11:51 +0300

microb-eal (2.4.3-1) unstable; urgency=low

  * Fixes for 132170 Elements look-up around point required to implement better Usability

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 22 Aug 2009 16:58:31 +0300

microb-eal (2.4.2-1) unstable; urgency=low

  * Fixes: NB#123972 Finished pages should not show as blank on task switcher

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 22 Aug 2009 16:35:33 +0300

microb-eal (2.4.1-2) unstable; urgency=low

  * Fixes: NB#132608 Entering text works improperly after page reload  

 -- Egor Starkov <egor.starkov@nokia.com>  Sat, 22 Aug 2009 16:09:36 +0300

microb-eal (2.4.1-1) unstable; urgency=low

  * Fixes: NB#134251 fd leak in browserd with conversation view opening/closing

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 21 Aug 2009 18:31:34 +0300

microb-eal (2.4.0-2) unstable; urgency=low

  * Fixes: NB#132643 - [freetest] After page loads it's moved to the left so that only background is displayed 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 21 Aug 2009 07:54:34 +0300

microb-eal (2.4.0-1) unstable; urgency=low

  * Fixes: NB#127991 Facebook's "fixed application bar" does not stay fixed during scrolling

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 20 Aug 2009 08:58:26 +0300

microb-eal (2.3.9-4) unstable; urgency=low

  * Fixes: NB#132663 - Can't enter text in input field on page in specific scenario 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 20 Aug 2009 08:07:05 +0300

microb-eal (2.3.9-3) unstable; urgency=low

  * Fixes: NB#130552 - Cursor is displayed on the Find toolbar and also on the text field 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 19 Aug 2009 08:46:50 +0300

microb-eal (2.3.9-2) unstable; urgency=low

  * Bump version for rebuilding with microb-engine (20090612-40)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 18 Aug 2009 13:42:44 +0300

microb-eal (2.3.9-1) unstable; urgency=low

  * Fixes: NB#122840 - Change the browser UA string

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Mon, 17 Aug 2009 18:44:21 +0300

microb-eal (2.3.8-1) unstable; urgency=low

  * Fixes: NB#132892 - Browser download fills rootfs 


