=== debian/control ===
Source: microb-eal
Section: libs
Priority: optional
Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
Build-Depends: debhelper (>= 4.0.0), browser-eal-dev (>= 0.4.8-1), microb-engine-dev (>= 20090612-38), libgtk2.0-dev, libhildon1-dev | hildon-libs-dev, libosso-gnomevfs2-dev, libssl-dev, libgtkmozembed-dev (>= 1.6.2-1), libconic0-dev | osso-ic-dev, libdbus-1-dev | dbus-1-dev, libdbus-glib-1-dev | dbus-glib-1-dev, libosso-dev, osso-browser-translations-dev
Standards-Version: 3.6.0

Package: microb-eal-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, microb-eal (= ${Source-Version}), libgtkmozembed-dev
Description: MicroB Web Engine.

Package: microb-eal-dbg
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, microb-eal (= ${Source-Version})
Description: MicroB Web Engine.

Package: microb-eal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MicroB Web Engine.
