=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,10 @@
 static:=n
 debug:=n
 openssl:=y
-cst:=y
 gnomevfs:=n
 logging:=n
 gtkmozembed:=n
+tests:=n
 
 GCCVER=.gcc$(shell gcc --version | grep gcc | cut -d ' ' -f 3)
 
@@ -67,12 +67,6 @@
 openssl:=$(openssl)
 endif
 
-ifneq (,$(findstring nocst,$(DEB_BUILD_OPTIONS)))
-cst:=y
-else
-cst:=$(cst)
-endif
-
 
 ifneq (,$(findstring nognomevfs,$(DEB_BUILD_OPTIONS)))
 gnomevfs:=y
@@ -87,6 +81,12 @@
 logging:=$(logging)
 endif
 
+ifneq (,$(findstring tests,$(DEB_BUILD_OPTIONS)))
+tests:=y
+else
+tests:=n
+endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -99,7 +99,7 @@
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	optimize_add += -mthumb
+#	optimize_add += -mthumb
 endif
 endif
 
@@ -111,7 +111,7 @@
 
 ifeq ($(debug),y)
 	configopts += --disable-strip --enable-debug
-	optimize_add += -O0 -g3
+	optimize_add += -O1 -g3
 ifeq ($(logging),y)
 	configopts += --enable-logging
 endif
@@ -126,18 +126,17 @@
 	configopts += --enable-openssl=no
 endif
 
-ifeq ($(cst),y)
-	configopts += --enable-cst=yes
-else
-	configopts += --enable-cst=no
-endif
-
-
 
 ifeq ($(gnomevfs),y)
 	configopts += --enable-gnomevfs=yes
 else
 	configopts += --enable-gnomevfs=no
+endif
+
+ifeq ($(tests),y)
+	configopts += --enable-tests=yes
+else
+	configopts += --enable-tests=no
 endif
 
 ifeq (,$(findstring cflagsopt,$(DEB_BUILD_OPTIONS)))
@@ -153,17 +152,31 @@
 endif
 endif
 
+CFLAGS += -fshort-wchar
+CXXFLAGS += -fshort-wchar
+ifneq ($(GCCENV),.cs)
+ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
+	CFLAGS += -fno-short-wchar
+	CXXFLAGS += -fno-short-wchar
+endif
+endif
+
+ifeq ($(GCCENV),.cs)
+	CFLAGS += -fno-unit-at-a-time
+	CXXFLAGS += -fno-unit-at-a-time
+endif
+
 objdebdir:=obj-$(DEB_BUILD_GNU_TYPE)
 
-$(objdebdir)/config.status:                                                                                                                                        
-	dh_testdir                                                                                                                                                     
+$(objdebdir)/config.status:
+	dh_testdir
 	./autogen.sh --prefix=/usr
 
 	for f in `find debian/ -name "[^c]*.in"`; do \
         	sed -e "s/@PACKAGEVERSION@/${PKGVERSION}/g" -e "s/@PACKAGENAME@/${PKGNAME}/g"  $$f > `echo $$f | sed -e "s/\.in//"`; \
         done
 	
-	mkdir -p $(objdebdir)                                                                                                                                          
+	mkdir -p $(objdebdir)
 	cd $(objdebdir) && CUSTOM_VERSION="$(PKGVERSION)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(configopts)
 
 build: build-stamp
@@ -182,7 +195,8 @@
 #	-cd $(objdebdir) && $(MAKE) clean
 #	-cd $(objdebdir) && $(MAKE) distclean
 	rm -rf $(objdebdir)
-	rm -f include/gmozillaenginemarshal.h src/gmozillaenginemarshal.c Makefile.in src/Makefile.in compile aclocal.m4 config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing
+	rm -f include/gmozillaenginemarshal.h src/gmozillaenginemarshal.c Makefile.in src/Makefile.in src/gecko/Makefile.in
+	rm -f compile aclocal.m4 config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing
 	dh_clean 
 
 install: build
