## microb-eal 2.4.6.17-1.1+0m5

=== debian/changelog ===
microb-eal (2.4.6.17-1.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Mon, 28 Sep 2009 19:18:28 +0300

microb-eal (2.4.6.17-1.1) unstable; urgency=low

  * Fixed for bug 140699. meta refresh in bg

 -- Oleg Romashin <romaxa@gmail.com>  Sat, 26 Sep 2009 09:36:47 +0300

microb-eal (2.4.6.17-1) unstable; urgency=low

  * Merge using one-liner partial backout of NB#137044 for NB#140260

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 24 Sep 2009 19:31:04 +0300

microb-eal (2.4.6.16-1) unstable; urgency=low

  * (From 2.7.1-1) Fixes: NB#139970 gdk_x_error: Details: serial 239674
    error_code 2 request_code 137 minor_code 3

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 23 Sep 2009 15:15:26 +0300

microb-eal (2.4.6.15-1) unstable; urgency=low

  * Fixed compilation and work with debug/logging engine

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 23 Sep 2009 09:18:16 +0300

microb-eal (2.4.6.14-1) unstable; urgency=low

  * (From 2.7.0-1) Fixes: NB#140260 Browserd is crashing always when
    trying to login to maemo.org

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 23 Sep 2009 14:13:37 +0300

microb-eal (2.4.6.13-1) unstable; urgency=low

  * (From 2.6.8-1) Fixes: NB#139856 First DOM focus does not initialize
    IM_CONTEXT
  * (From 2.6.7-1) Fixes: NB#139854 Nonreproducible browser crash -
    JS_DHashAllocTable

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 22 Sep 2009 15:03:29 +0300
